package models

type SubjectOptionlst struct {
	Cid            int    `json:"cid" xorm:"not null pk INT(11)"`
	Subjectid      string `json:"subjectid" xorm:"not null pk comment('问题ID') VARCHAR(20)"`
	Optionid       string `json:"optionid" xorm:"not null pk comment('选项ID：A / B / C / D...') VARCHAR(1)"`
	Optiontext     string `json:"optiontext" xorm:"default 'NULL' comment('选项内容') VARCHAR(255)"`
	Optionpicture  string `json:"optionpicture" xorm:"default 'NULL' comment('选项图片') VARCHAR(255)"`
	Optionvideo    string `json:"optionvideo" xorm:"default 'NULL' comment('选项视频') VARCHAR(255)"`
	Optionvalue    int    `json:"optionvalue" xorm:"default NULL comment('选项值') INT(11)"`
	Optionfactor   int    `json:"optionfactor" xorm:"default NULL comment('选项因子') INT(11)"`
	Optiontype     int    `json:"optiontype" xorm:"default NULL comment('选项类型') INT(11)"`
	Optioninput    string `json:"optioninput" xorm:"default 'NULL' comment('选项输入') VARCHAR(255)"`
	Createtime     string `json:"createtime" xorm:"default 'NULL' comment('创建时间') VARCHAR(40)"`
	Lastmodifytime string `json:"lastmodifytime" xorm:"default 'NULL' comment('最近更新时间') VARCHAR(40)"`
	Lastmodifyby   string `json:"lastmodifyby" xorm:"default 'NULL' comment('修改人员') VARCHAR(40)"`
}
